%define module mock

Name:           python-mock
Version:        1.3.0
Release:        %mkrel 3
Summary:        A Python Mocking and Patching Library for Testing

Group:          Development/Python
License:        BSD
URL:            http://www.voidspace.org.uk/python/%{module}/
Source0:        http://pypi.python.org/packages/source/m/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  pythonegg(2)(funcsigs)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  pythonegg(3)(funcsigs)


%description
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

%package -n python3-mock
Summary:        A Python Mocking and Patching Library for Testing
Group:          Development/Python

%description -n python3-mock
Mock is a Python module that provides a core mock class. It removes the need
to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.


%prep
%setup -q -n %{module}-%{version}

cp -ap . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%check
%{__python2} setup.py test


%install
pushd %{py3dir}
%py3_install
popd

%py2_install

 
%files
%doc docs/ README.rst PKG-INFO 
%{python2_sitelib}/*

%files -n python3-mock
%doc docs/ README.rst PKG-INFO 
%{python3_sitelib}/*



%changelog
* Wed Dec 23 2015 philippem <philippem> 1.3.0-3.mga6
+ Revision: 913880
- add missing BR

* Wed Oct 07 2015 tv <tv> 1.3.0-2.mga6
+ Revision: 887035
- rebuild for python 3.5

* Fri Aug 28 2015 philippem <philippem> 1.3.0-1.mga6
+ Revision: 870558
- update to 1.3.0

* Tue Jun 30 2015 joequant <joequant> 1.0.1-8.mga6
+ Revision: 848315
- remove unittest2 not necessary

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga6
+ Revision: 749495
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 729087
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 688156
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.1-4.mga5
+ Revision: 628806
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 543635
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 498925
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 10 2013 philippem <philippem> 1.0.1-1.mga4
+ Revision: 452422
- imported package python-mock

